Create a project
Authorization
apiKey API key from the console, ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "object": "project", "name": "string", "spec_url": "string", "source": { "kind": "url", "url": "string", "repo": "string", "path": "string" }, "destination": { "repo": "string", "directory": "string" }, "languages": [ "typescript" ], "destinations": { "property1": { "repo": "string", "directory": "string" }, "property2": { "repo": "string", "directory": "string" } }, "package_names": { "property1": "string", "property2": "string" }, "auto_regen": true, "package_name": "string", "spec_patches": [ { "op": "set", "path": "string", "value": null, "to": "string", "reason": "string" } ], "config": { "globals": [ "string" ], "retries": { "max_retries": 0, "statuses": [ 0 ], "initial_delay_ms": 1, "max_delay_ms": 1, "retry_non_idempotent": true, "disabled": true, "operations": { "property1": {}, "property2": {} } }, "pagination": { "property1": { "style": "cursor", "items_field": "string", "cursor_param": "string", "next_cursor_field": "string", "has_more_field": "string", "id_field": "string", "page_param": "string", "offset_param": "string", "limit_param": "string" }, "property2": { "style": "cursor", "items_field": "string", "cursor_param": "string", "next_cursor_field": "string", "has_more_field": "string", "id_field": "string", "page_param": "string", "offset_param": "string", "limit_param": "string" } }, "graphql": { "endpoint": "http://example.com", "environments": [ { "name": "string", "url": "http://example.com" } ], "auth": "bearer", "api_key_header": "string", "title": "string" }, "cli": { "whoami_operation": "string", "oauth_client_id": "string", "oauth_scopes": [ "string" ], "oauth_audience": "string", "update_notice": true, "support_url": "string" }, "mcp": { "tool_mode": "auto", "instructions": "string", "tool_descriptions": { "property1": "string", "property2": "string" } }, "docs_url": "string" }, "mcp_enabled": true, "mcp_url": "string", "relay_enabled": true, "platforms": [ "sdk" ], "created_at": "2019-08-24T14:15:22Z"}